function Proteome_analysis

    proteome_Ecoli = fastaread('Escherichia coli K-12 proteome.fasta');
    
    k1 = length(proteome_Bacillus);
    natural_aa = 'GALMFWKQESPVICYHRNDT';
    
    for i = 1:k1
        header = proteome_Ecoli(i).Header;
        sequence = proteome_Ecoli(i).Sequence;
        sequence_length = length(sequence);
        flag = check_amino_acid_seq(sequence, natural_aa);
        protein_name = extract_protein_name(header);
        
        if flag == 1
            
            low_sequence = lower(sequence);
            mol_weight = molweight(low_sequence);
            nt_sequence = aa2nt(low_sequence);
        end
        
        proteomedb(i).Name = protein_name;
        proteomedb(i).AA_Sequence = sequence;
        proteomedb(i).No_of_residues = sequence_length;
        
        if flag == 1
            
            proteomedb(i).Mol_weight = mol_weight;
            proteomedb(i).Nt_Sequence = nt_sequence;
        end
    end
    
    write_data(proteomedb);

end

